## org.apache.tools.ant.util
Class CollectionUtils

    java.lang.Object
      |
      +--org.apache.tools.ant.util.CollectionUtils

public class CollectionUtils
extends java.lang.Object

A set of helper methods related to collection manipulation.

Since:
  Ant 1.5
Author:
  Stefan Bodewig, Ingmar Stein, Martijn Kruithof

Nested Class Summary
`static class` `CollectionUtils.EmptyEnumeration`

Constructor Summary
`CollectionUtils()`

Method Summary
`static boolean` `equals(java.util.Dictionary d1, java.util.Dictionary d2)` Deprecated.
`static boolean` `equals(java.util.Vector v1, java.util.Vector v2)` Deprecated.
`static void` `putAll(java.util.Dictionary m1, java.util.Dictionary m2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtils

    public CollectionUtils()

Method Detail

### equals

    public static boolean equals(java.util.Vector v1,
                                 java.util.Vector v2)

  Deprecated.

  Please use Vector.equals() or List.equals()

  Since:
    Ant 1.5

### equals

    public static boolean equals(java.util.Dictionary d1,
                                 java.util.Dictionary d2)

  Deprecated.

  Dictionary does not have an equals. Please use Map.equals()

  Follows the equals contract of Java 2's Map.

  Since:
    Ant 1.5

### putAll

    public static void putAll(java.util.Dictionary m1,
                              java.util.Dictionary m2)

  Deprecated.

  Dictionary does not know the putAll method. Please use Map.putAll().

  Since:
    Ant 1.6

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.